Fuck you complete me, found an alternative, NeoComplete

Today, I updated my plugins, yes, the vim plugins. I wanted to update just one plugin, ended up updating almost all my plugins, lol. Always a bad move. One of the plugins that got updated was YOU COMPLETE ME. It’s one of those moments you see in movies where the glass got dropped and it falls to the floor in slow motionand shatters. I knew updating all plugins was a bad thing, but couldn’t do anything about it.

Once I upgraded you complete me, it, of course, broke. Not surprised. SO MUCH TIME INVESTED INTO DEBUGGING THIS PLUGIN, I thought maybe it would be thoughtful to FIND A DIFFERENT WAY. And amazingly, I DID.

NeoComplete Vim, an alternative to YCM

https://github.com/Shougo/neocomplete.vim

I was able to get it installed and working without much hassle.

  1. Add Bundle 'Shougo/neocomplete.vim' to $MYVIMRC

  2. I use Vim that is installed via Homebrew. NeoComplete requires vim to be installed with lua.

1) brew unlink vim 2) brew install vim --with-lua

I think you use macvim…

1) brew unlink macvim 2) brew install macvim --with-lua

  1. add let g:neocomplete#enable_at_startup = 1 to your vimrc to start it on start.

LITERALLY TOOK 10 MINUTES TO INSTALL. WOULD HAVE SPENT HOURS DEBUGGING AND INSTALLING YCM, GLAD I DIDN’T THIS TIME. NEOCOMPLETE IS VERY GREAT SO FAR.

Post Content